package com.persagy.init;


import com.googlecode.aviator.AviatorEvaluator;
import com.persagy.client.GroupNettyClient;
import com.persagy.client.WebSocketClientFactory;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Service;


@Service
@Order(1)
@Slf4j
public class InitRunner implements CommandLineRunner {

	@Autowired
	private WebSocketClientFactory webSocketClientFactory;
	@Autowired
	private GroupNettyClient groupNettyClient;



	@Override
	public void run(String... args) throws Exception {
		//5.0 开始引入了 LRU 缓存，可指定缓存的表达式个数，比如设置为最大 1 万个缓存结果：
		AviatorEvaluator.getInstance().useLRUExpressionCache(10000);
		webSocketClientFactory.retryOutCallWebSocketClient();
		groupNettyClient.start();
	}
}
